export SC_MCSDK_VERSION="2_02_00_02"
SC_MCSDK_VERSION_DOT=${SC_MCSDK_VERSION//_/\.}
export PATCH_VERSION="9"
#export GIT_TAG="DEV.SC-MCSDK-0${SC_MCSDK_VERSION//_/\.}P${PATCH_VERSION}"

# Changed file/directory list
#LINUX_UPDATE_LIST="sc_mcsdk_linux_2_02_00_02/images/ sc_mcsdk_linux_2_02_00_02/linux-devkit/"

BIOS_UPDATE_LIST="pdk_tci6614_1_02_00_02/packages/ti/drv/qmss/"

INSTALLATION_COMPONENTS="$BIOS_UPDATE_LIST"

export RELEASE_STRING=${SC_MCSDK_VERSION}p${PATCH_VERSION}
export RELEASE_DIR=sc-mcsdk-$RELEASE_STRING

unamestr=`uname`

if [ -z $SC_MCSDK_INSTALL_DIR ]
then
	if [[ "$unamestr" == 'Linux' ]]
	then
		SC_MCSDK_INSTALL_DIR=~/ti
	else
		SC_MCSDK_INSTALL_DIR=c:/ti
	fi
fi

echo "Installing SC-MCSDK" $SC_MCSDK_VERSION "Patch"$PATCH_VERSION "to " $SC_MCSDK_INSTALL_DIR

if [ -d $SC_MCSDK_INSTALL_DIR/sc_mcsdk_bios_${SC_MCSDK_VERSION}/docs ]
then
	mv SC-MCSDK_0${SC_MCSDK_VERSION_DOT}Patch${PATCH_VERSION}_Release_Notes.pdf \
		$SC_MCSDK_INSTALL_DIR/sc_mcsdk_bios_${SC_MCSDK_VERSION}/docs
fi

if [ ! -e sc-mcsdk-$RELEASE_STRING.tar.gz ]
then
	echo "Required release component sc-mcsdk-"$RELEASE_STRING".tar.gz is not present"
	exit -1
fi

tar -xzf sc-mcsdk-$RELEASE_STRING.tar.gz

function install_component {

	if [ -e $SC_MCSDK_INSTALL_DIR/$1 ]
	then
		rm -rf $SC_MCSDK_INSTALL_DIR/$1
	fi

	if [ -e $1 ]
	then
		cp -r $1 $SC_MCSDK_INSTALL_DIR/$1
	fi
}

for comp in $INSTALLATION_COMPONENTS
do
	install_component $comp
done

rm -rf sc_mcsdk_linux_2_02_00_02

echo "Installation Complete"

